Class | WSDL::XMLSchema::Any
In: | wsdl/xmlSchema/any.rb
Parent: | Info

### Methods

new parse_attr parse_element targetnamespace

### Attributes

maxoccurs | [RW] |
minoccurs | [RW] |
namespace | [RW] |
process_contents | [RW] |

### Public Class methods

new()

[Source]

    # File wsdl/xmlSchema/any.rb, line 22
      def initialize
        super()
        @maxoccurs = '1'
        @minoccurs = '1'
        @namespace = '##any'
        @process_contents = 'strict'
      end

### Public Instance methods

parse_attr(attr, value)

[Source]

    # File wsdl/xmlSchema/any.rb, line 38
      def parse_attr(attr, value)
        case attr
        when MaxOccursAttrName
          @maxoccurs = value.source
        when MinOccursAttrName
          @minoccurs = value.source
        when NamespaceAttrName
          @namespace = value.source
        when ProcessContentsAttrName
          @process_contents = value.source
        else
          nil
        end
      end

parse_element(element)

[Source]

    # File wsdl/xmlSchema/any.rb, line 34
      def parse_element(element)
        nil
      end

targetnamespace()

[Source]

    # File wsdl/xmlSchema/any.rb, line 30
      def targetnamespace
        parent.targetnamespace
      end

[Validate]